package org.jdtaus.core.monitor.ri.server;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class ServerTaskMonitorBundle{ 

public static String getLongRunningTaskNotificationText(final Locale locale) {
    return getMessage("longRunningTaskNotification", locale);
}

public static MessageFormat getLongRunningTaskNotificationMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("longRunningTaskNotification", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.core.monitor.ri.server.ServerTaskMonitor", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
